@import url("https://fonts.googleapis.com/css2?family=Michroma&display=swap");


body {
  font-family: "Michroma", sans-serif;
}

/* SECTION DE BANNER */
.banner {
  width: 100%;
  height: 80vh; /* <<< TAMANHO DO PRINT */
  overflow: hidden;
}

/* MANTÉM SEU VISUAL */
.loading-page {
  position: relative; /* <<< deixa de ser fullscreen */
  width: 100%;
  height: 100%;

  background: linear-gradient(to right, #ffffff, #444747, #000000);
  display: flex;
  flex-direction: column;
  gap: 1.5rem;
  align-items: center;
  justify-content: center;
}

#svg {
  height: 150px;
  width: 150px;
  stroke: white;
  fill-opacity: 0;
  stroke-width: 3px;
  stroke-dasharray: 4500;
  animation: draw 8s ease;
}

@keyframes draw {
  0% {
    stroke-dashoffset: 4500;
  }
  100% {
    stroke-dashoffset: 0;
  }
}

.name-container {
  height: 30px;
  overflow: hidden;
}

.logo-name {
  color: #fff;
  font-size: 20px;
  letter-spacing: 12px;
  text-transform: uppercase;
  margin-left: 20px;
  font-weight: bolder;
}

/* RESPONSIVO — IGUAL AO SEU */
@media screen and (max-width: 1170px) {
  .loading-page {
    padding: 0 20px;
    text-align: center;
  }

  #svg {
    width: 110px;
    height: 110px;
  }

  .name-container {
    height: auto;
  }

  .logo-name {
    font-size: 14px;
    letter-spacing: 6px;
    margin-left: 0;
    text-align: center;
 }

 .container p {
    font-size: px;
}
}
